pw_remote_events Struct Reference

Events for the remote. More...

## Data Fields

uint32_t | version
void(* | destroy )(void *data)
| The remote is destroyed. More...
void(* | info_changed )(void *data, const struct pw_core_info *info)
| emited when the remote core info changed More...
void(* | sync_reply )(void *data, uint32_t seq)
| emited when a reply to a sync was received More...
void(* | state_changed )(void *data, enum pw_remote_state old, enum pw_remote_state state, const char *error)
| emited when the state changes More...

## Detailed Description

Events for the remote.

use pw_remote_add_listener

## Field Documentation

## destroy

void(* pw_remote_events::destroy) (void *data)

The remote is destroyed.

## info_changed

void(* pw_remote_events::info_changed) (void *data, const struct pw_core_info *info)

emited when the remote core info changed

## state_changed

void(* pw_remote_events::state_changed) (void *data, enum pw_remote_state old, enum pw_remote_state state, const char *error)

emited when the state changes

## sync_reply

void(* pw_remote_events::sync_reply) (void *data, uint32_t seq)

emited when a reply to a sync was received

## version

uint32_t pw_remote_events::version

The documentation for this struct was generated from the following file:

- remote.h